Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules
Class ModuleRegisterImpl

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.ModuleRegisterImpl

All Implemented Interfaces:
  ModuleRegister

    public class ModuleRegisterImpl

extends java.lang.Object
implements ModuleRegister

Version:
  $Id: ModuleRegisterImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`ModuleRegisterImpl()`

Method Summary
`java.util.List` | `getExporterModules()`
`ImporterModule` | `getImporterModule(java.lang.String id)`
`java.util.List` | `getImporterModules()`
`protected void` | `refreshImporterMap()`
`void` | `setExporterModules(java.util.List modules)`
`void` | `setImporterModules(java.util.List importerModules)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleRegisterImpl

    public ModuleRegisterImpl()

Method Detail

### setExporterModules

    public void setExporterModules(java.util.List modules)

### getExporterModules

    public java.util.List getExporterModules()

  Specified by:
    `getExporterModules` in interface `ModuleRegister`

### getImporterModules

    public java.util.List getImporterModules()

  Specified by:
    `getImporterModules` in interface `ModuleRegister`

### setImporterModules

    public void setImporterModules(java.util.List importerModules)

### refreshImporterMap

    protected void refreshImporterMap()

### getImporterModule

    public ImporterModule getImporterModule(java.lang.String id)

  Specified by:
    `getImporterModule` in interface `ModuleRegister`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.